Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module cattree :: Class CategoriesTreeController |
[frames] | no frames]

# Class CategoriesTreeController

source code

    object --+
             |
            CategoriesTreeController

Instance Methods
__init__(self, view, fn_handle_db_error) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
initialize_from_db(self, db) | source code
initialize_from_timeline_view(self, view) | source code
add_category(self) | source code
edit_selected_category(self) | source code
delete_selected_category(self) | source code
check_category(self, cat, checked) | source code
destroy(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, view, fn_handle_db_error) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)